%define		_state		stable
%define		orgname		okular
%define		qtver		4.8.3

Summary:	K Desktop Environment - KDE universal document viewer
Summary(pl.UTF-8):	K Desktop Environment - Uniwersalna przeglądarka dokumentów dla KDE
Name:		kde4-okular
Version:	4.14.3
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	bbeb9652b19dcce9e6ac502524e0f844
URL:		http://www.kde.org/
BuildRequires:	chmlib-devel
BuildRequires:	djvulibre-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	ebook-tools-devel
BuildRequires:	exiv2-devel >= 0.18.2
BuildRequires:	kde4-libkscreen
BuildRequires:	lcms-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libspectre-devel >= 0.2.2
BuildRequires:	poppler-Qt-devel
BuildRequires:	poppler-Qt-devel
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qimageblitz-devel >= 0.0.6
Suggests:	/usr/bin/lpr
Suggests:	kde4-kdegraphics-mobipocket
Obsoletes:	kde4-kdegraphics-okular < 4.6.99
Obsoletes:	kio_msits < 4.6.99
Obsoletes:	okular <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Okular is a universal document browser for KDE.

%description -l pl.UTF-8
Okular to uniwersalna przeglądarka dokumentów dla KDE.

%package devel
Summary:	okular development files
Summary(pl.UTF-8):	Pliki dla programistów okular
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	okular-devel < 4.8.0

%description devel
okular development files.

%description devel -l pl.UTF-8
Pliki dla programistów okular.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/okular
%attr(755,root,root) %{_libdir}/libokularcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libokularcore.so.?
%attr(755,root,root) %{_libdir}/kde4/okular*.so
%attr(755,root,root) %{_libdir}/kde4/kio_msits.so
%dir %{_libdir}/kde4/imports/org/kde/okular
%{_libdir}/kde4/imports/org/kde/okular/qmldir
%attr(755,root,root) %{_libdir}/kde4/imports/org/kde/okular/libokularplugin.so
%{_datadir}/apps/kconf_update/okular.upd
%{_datadir}/apps/okular
%{_datadir}/config.kcfg/gssettings.kcfg
%{_datadir}/config.kcfg/okular_core.kcfg
%{_datadir}/config.kcfg/okular.kcfg
%{_datadir}/kde4/services/libokular*.desktop
%{_datadir}/kde4/services/msits.protocol
%{_datadir}/kde4/services/okular*.desktop
%{_datadir}/kde4/servicetypes/okular*.desktop
%{_desktopdir}/kde4/active-documentviewer_*.desktop
%{_datadir}/config.kcfg/pdfsettings.kcfg
%{_desktopdir}/kde4/okular*.desktop
%{_iconsdir}/hicolor/*/apps/okular.*
%{_kdedocdir}/en/okular
%{_mandir}/man1/okular.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/okular
%{_libdir}/cmake/Okular
%attr(755,root,root) %{_libdir}/libokularcore.so
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-okular.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 24e9de0
- rebuild for g++ ABI changes
- release 4 (by relup.sh)

* Wed Aug 15 2018 Bartlomiej Zimon <uzi18@o2.pl> f2cdb73
- BR: libjpeg -> libjpeg-turbo

* Wed Aug 15 2018 Bartlomiej Zimon <uzi18@o2.pl> 7f9edc1
- rel 3; rebuild with new poppler

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 1c00810
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 43dec85
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ece2e20
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2d1e120
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d79342d
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c0e1b30
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 35745bf
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 87a7f7e
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5dd7dc6
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> fba6a30
- package qmldir file
- rel 2

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 49239e8
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 09e60f1
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 698e40b
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 06c5b23
- up to 4.12.0

* Sun Dec 08 2013 Lukasz Masko <lmasko@pld-linux.org> aecca1b
- Up to 4.11.4.

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 91ec580
- up to 4.11.3

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c550c46
- up to 4.11.1

